package nce.editor;

import java.util.HashSet;
import java.util.Set;

import org.eclipse.jface.text.IDocument;

/**
 * jEdit Token Types.
 * These are abstract attributes that can be used to color text regions.
 *
 */
public enum TokenType {

	NULL,
	COMMENT1,
	COMMENT2,
	COMMENT3,
	COMMENT4,
	FUNCTION,
	DIGIT, 
	INVALID,
	KEYWORD1,
	KEYWORD2,
	KEYWORD3,
	KEYWORD4,
	LABEL,
	LITERAL1,
	LITERAL2,
	LITERAL3,
	LITERAL4,
	MARKUP,
	OPERATOR;
	
	public static String[] getTokenTypeNames() {
		
		Set<String> tokenTypesList = new HashSet<String>(15);
		
		tokenTypesList.add(IDocument.DEFAULT_CONTENT_TYPE);
		for (TokenType tokenType : TokenType.values()) {
			tokenTypesList.add(tokenType.name());
		}
		
		return (String[]) tokenTypesList.toArray(new String[tokenTypesList.size()]);		
	}
	
}
