
package nce.editor.prefs;

import nce.ColoringEditorPlugin;

import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.gjt.sp.util.Log;

public class ColoringEditorPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

	public ColoringEditorPreferencePage() {
		super(FieldEditorPreferencePage.GRID);
		setPreferenceStore(ColoringEditorPlugin.getDefault().getPreferenceStore());
	}

	@Override
	protected void createFieldEditors() {
	}

	public void init(IWorkbench workbench) {
		if (workbench == null) {
			//ignore
		}
	}
	
	public static void dumpColorsToLog() {
		IPreferenceStore store = ColoringEditorPlugin.getDefault().getPreferenceStore();
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.NULL_COLOR + " " + store.getString(ColorsPreferencePage.NULL_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.COMMENT1_COLOR + " " + store.getString(ColorsPreferencePage.COMMENT1_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.COMMENT2_COLOR + " " + store.getString(ColorsPreferencePage.COMMENT2_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.COMMENT3_COLOR + " " + store.getString(ColorsPreferencePage.COMMENT3_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.COMMENT4_COLOR + " " + store.getString(ColorsPreferencePage.COMMENT4_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LITERAL1_COLOR + " " + store.getString(ColorsPreferencePage.LITERAL1_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LITERAL2_COLOR + " " + store.getString(ColorsPreferencePage.LITERAL2_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LITERAL3_COLOR + " " + store.getString(ColorsPreferencePage.LITERAL3_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LITERAL4_COLOR + " " + store.getString(ColorsPreferencePage.LITERAL4_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LABEL_COLOR + " " + store.getString(ColorsPreferencePage.LABEL_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.KEYWORD1_COLOR + " " + store.getString(ColorsPreferencePage.KEYWORD1_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.KEYWORD2_COLOR + " " + store.getString(ColorsPreferencePage.KEYWORD2_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.KEYWORD3_COLOR + " " + store.getString(ColorsPreferencePage.KEYWORD3_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.KEYWORD4_COLOR + " " + store.getString(ColorsPreferencePage.KEYWORD4_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.FUNCTION_COLOR + " " + store.getString(ColorsPreferencePage.FUNCTION_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.MARKUP_COLOR+ " " + store.getString(ColorsPreferencePage.MARKUP_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.OPERATOR_COLOR + " " + store.getString(ColorsPreferencePage.OPERATOR_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.DIGIT_COLOR + " " + store.getString(ColorsPreferencePage.DIGIT_COLOR));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.INVALID_COLOR + " " + store.getString(ColorsPreferencePage.INVALID_COLOR));
		
		String bold = ColorsPreferencePage.BOLD_SUFFIX;
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.NULL_COLOR + bold + " " + store.getString(ColorsPreferencePage.NULL_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.COMMENT1_COLOR + bold + " " + store.getString(ColorsPreferencePage.COMMENT1_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.COMMENT2_COLOR + bold + " " + store.getString(ColorsPreferencePage.COMMENT2_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.COMMENT3_COLOR + bold + " " + store.getString(ColorsPreferencePage.COMMENT3_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.COMMENT4_COLOR + bold + " " + store.getString(ColorsPreferencePage.COMMENT4_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LITERAL1_COLOR + bold + " " + store.getString(ColorsPreferencePage.LITERAL1_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LITERAL2_COLOR + bold + " " + store.getString(ColorsPreferencePage.LITERAL2_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LITERAL3_COLOR + bold + " " + store.getString(ColorsPreferencePage.LITERAL3_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LITERAL4_COLOR + bold + " " + store.getString(ColorsPreferencePage.LITERAL4_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.LABEL_COLOR + bold + " " + store.getString(ColorsPreferencePage.LABEL_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.KEYWORD1_COLOR + bold + " " + store.getString(ColorsPreferencePage.KEYWORD1_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.KEYWORD2_COLOR + bold + " " + store.getString(ColorsPreferencePage.KEYWORD2_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.KEYWORD3_COLOR + bold + " " + store.getString(ColorsPreferencePage.KEYWORD3_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.KEYWORD4_COLOR + bold + " " + store.getString(ColorsPreferencePage.KEYWORD4_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.FUNCTION_COLOR + bold + " " + store.getString(ColorsPreferencePage.FUNCTION_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.MARKUP_COLOR + bold + " " + store.getString(ColorsPreferencePage.MARKUP_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.OPERATOR_COLOR + bold + " " + store.getString(ColorsPreferencePage.OPERATOR_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.DIGIT_COLOR + bold + " " + store.getString(ColorsPreferencePage.DIGIT_COLOR + bold));
		Log.log(Log.MESSAGE, null, ColorsPreferencePage.INVALID_COLOR + bold + " " + store.getString(ColorsPreferencePage.INVALID_COLOR + bold));
		
		
	}

}